import 'package:flutter/material.dart';
import 'package:regular_textfield/regular_textfield.dart';

void main() => runApp(new MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      title: 'Text field example',
      theme: new ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: new TextFieldScreen(),
    );
  }
}

class TextFieldScreen extends StatefulWidget {
  const TextFieldScreen({Key? key}) : super(key: key);

  @override
  State<TextFieldScreen> createState() => _TextFieldScreenState();
}

class _TextFieldScreenState extends State<TextFieldScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: Padding(
          padding: const EdgeInsets.all(8.0),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              SizedBox(
                height: 50,
              ),
              RegularTextFormFeild(
                title: 'Name',
                hintText: "Enter your name",
                controller: TextEditingController(),
                fieldColor: Colors.grey.shade200,
              ),
              SizedBox(
                height: 10,
              ),
              RegularTextFormFeild(
                title: 'Email',
                hintText: "Enter your email",
                controller: TextEditingController(),
                fieldColor: Colors.greenAccent,
              ),
              SizedBox(
                height: 10,
              ),
              RegularTextFormFeild(
                title: 'Phone',
                hintText: "Enter your phone number",
                controller: TextEditingController(),
                fieldColor: Colors.pink.shade200,
              ),
              SizedBox(
                height: 10,
              ),
              RegularTextFormFeild(
                title: 'Address',
                hintText: "Enter your address",
                controller: TextEditingController(),
                fieldColor: Colors.blue.shade200,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
